# II. PostgreSQL 用戶端工具

這裡包含了 PostgreSQL 用戶端應用工具程式的參考資訊。並非所有的命令都具有通用性。有些可能需要特殊權限。這些應用程式的共同特徵是它們可以在任何主機上執行，而與資料庫伺服器所在的地點無關。

在命令列上指定參數時，使用者名稱和資料庫名稱將保留大小寫，如果有空格或特殊字元，則可能需要加引號。資料表名稱和其他標識符號也不保留大小寫，除非有說明，否則可能也需要引號。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.postgresql.tw/reference/client-applications.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
